## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# ICUBridgeCollationCompareFunctorImpl Class Reference

`#include <ICUBridgeCollationCompareFunctorImpl.hpp>`

Inheritance diagram for ICUBridgeCollationCompareFunctorImpl:

[legend]
Collaboration diagram for ICUBridgeCollationCompareFunctorImpl:

[legend]
List of all members.

## Public Types

- typedef StylesheetExecutionContextDefault::eCaseOrder eCaseOrder
- typedef Collator CollatorType
- typedef std::list<CollationCacheStruct> CollatorCacheListType
- enum { eCacheMax = 10 }

## Public Methods

- ICUBridgeCollationCompareFunctorImpl (bool fCacheCollators=false)
    Constructor. More...
- ~ICUBridgeCollationCompareFunctorImpl ()
- int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, eCaseOrder theCaseOrder=StylesheetExecutionContextDefault::eDefault) const
- int operator() (const XalanDOMChar *theLHS, const XalanDOMChar *theRHS, const XalanDOMChar *theLocale, eCaseOrder theCaseOrder=StylesheetExecutionContextDefault::eDefault) const
- bool isValid () const

## Member Typedef Documentation

typedef std::list< CollationCacheStruct > ICUBridgeCollationCompareFunctorImpl::CollatorCacheListType<CollationCacheStruct>

typedef Collator ICUBridgeCollationCompareFunctorImpl::CollatorType

typedef StylesheetExecutionContextDefault::eCaseOrder ICUBridgeCollationCompareFunctorImpl::eCaseOrder

## Member Enumeration Documentation

anonymous enum

  | Enumeration values:
  eCacheMax |

## Constructor & Destructor Documentation

ICUBridgeCollationCompareFunctorImpl::ICUBridgeCollationCompareFunctorImpl ( | bool fCacheCollators = false )

  | Constructor. Parameters:
  fCacheCollators | If true, the instance will cache collators. This is not thread-safe, so each thread must have its own instance.

ICUBridgeCollationCompareFunctorImpl::~ICUBridgeCollationCompareFunctorImpl ( | )

## Member Function Documentation

bool ICUBridgeCollationCompareFunctorImpl::isValid ( | ) const

int ICUBridgeCollationCompareFunctorImpl::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| const XalanDOMChar * theLocale,
| eCaseOrder theCaseOrder = StylesheetExecutionContextDefault::eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

int ICUBridgeCollationCompareFunctorImpl::operator() ( | const XalanDOMChar * theLHS,
| const XalanDOMChar * theRHS,
| eCaseOrder theCaseOrder = StylesheetExecutionContextDefault::eDefault ) const`[virtual]`

| Reimplemented from StylesheetExecutionContextDefault::CollationCompareFunctor.

The documentation for this class was generated from the following file:

- ICUBridgeCollationCompareFunctorImpl.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.